%define Werror_cflags %nil
# Modules always contain just 32-bit code
%define _libdir %{_exec_prefix}/lib
%ifarch	x86_64
# 64bit intel machines use 32bit boot loader
# (We cannot just redefine _target_cpu, as we'd get i386.rpm packages)
%global _target_platform i386-%{_vendor}-%{_target_os}%{?_gnu}
%global efi_arch x86_64-efi
%else
%global efi_arch i386-efi
%endif

%global pc_arch i386-pc

%global tarversion 2.12
%define uf_version 15.1.04 

Name:		grub2
Version:	2.12
Release:	%mkrel 3
Summary:	Boot-loader with support for Linux, Multiboot and more
Group:		System/Kernel and hardware
License:	GPLv3+ and GPLv2
URL:		https://savannah.gnu.org/git/?group=grub

Source0:	https://ftp.gnu.org/gnu/grub/grub-%{tarversion}.tar.xz
Source2:	grub.default.pclinuxos
Source4:	https://ftp.gnu.org/gnu/unifont/unifont-%{uf_version}/unifont-%{uf_version}.pcf.gz
Source5:	grub2.filter
Source6:	grub2.script
Source7:    grub2-check-default.sh

# OpenSUSE patches
Patch1:         rename-grub-info-file-to-grub2.patch
Patch2:         grub2-linux.patch
Patch4:         info-dir-entry.patch
Patch5:         grub2-simplefb.patch
Patch6:         grub2-iterate-and-hook-for-extended-partition.patch
Patch7:         grub2-ppc-terminfo.patch
Patch8:         grub2-fix-error-terminal-gfxterm-isn-t-found.patch
Patch9:         grub2-fix-menu-in-xen-host-server.patch
Patch10:        not-display-menu-when-boot-once.patch
Patch11:        grub2-pass-corret-root-for-nfsroot.patch
Patch12:        grub2-efi-HP-workaround.patch
Patch13:        grub2-secureboot-add-linuxefi.patch
Patch14:        grub2-secureboot-no-insmod-on-sb.patch
Patch15:        grub2-secureboot-chainloader.patch
Patch16:        grub2-linuxefi-fix-boot-params.patch
Patch17:        grub2-linguas.sh-no-rsync.patch
Patch18:        grub2-use-Unifont-for-starfield-theme-terminal.patch
Patch19:        grub2-s390x-01-Changes-made-and-files-added-in-order-to-allow-s390x.patch
Patch20:        grub2-s390x-03-output-7-bit-ascii.patch
Patch21:        grub2-s390x-04-grub2-install.patch
Patch22:        grub2-s390x-05-grub2-mkconfig.patch
Patch23:        grub2-use-rpmsort-for-version-sorting.patch
Patch24:        grub2-getroot-treat-mdadm-ddf-as-simple-device.patch
Patch25:        grub2-setup-try-fs-embed-if-mbr-gap-too-small.patch
Patch26:        grub2-xen-linux16.patch
Patch27:        grub2-efi-disable-video-cirrus-and-bochus.patch
Patch28:        grub2-vbe-blacklist-preferred-1440x900x32.patch
Patch29:        grub2-grubenv-in-btrfs-header.patch
Patch30:        grub2-mkconfig-aarch64.patch
Patch31:        grub2-default-distributor.patch
Patch32:        grub2-menu-unrestricted.patch
Patch33:        grub2-mkconfig-arm.patch
Patch34:        grub2-s390x-06-loadparm.patch
Patch35:        grub2-s390x-07-add-image-param-for-zipl-setup.patch
Patch36:        grub2-s390x-08-workaround-part-to-disk.patch
Patch37:        grub2-commands-introduce-read_file-subcommand.patch
Patch38:        grub2-efi-chainload-harder.patch
Patch39:        grub2-emu-4-all.patch
Patch40:        grub2-lvm-allocate-metadata-buffer-from-raw-contents.patch
Patch41:        grub2-diskfilter-support-pv-without-metadatacopies.patch
Patch42:        grub2-s390x-09-improve-zipl-setup.patch
Patch43:        grub2-getroot-scan-disk-pv.patch
Patch44:        grub2-util-30_os-prober-multiple-initrd.patch
Patch45:        grub2-getroot-support-nvdimm.patch
Patch46:        grub2-install-fix-not-a-directory-error.patch
Patch47:        grub-install-force-journal-draining-to-ensure-data-i.patch
Patch48:        grub2-s390x-skip-zfcpdump-image.patch
Patch49:        grub2-btrfs-01-add-ability-to-boot-from-subvolumes.patch
Patch50:        grub2-btrfs-02-export-subvolume-envvars.patch
Patch51:        grub2-btrfs-03-follow_default.patch
Patch52:        grub2.12-btrfs-04-grub2-install.patch
Patch53:        grub2-btrfs-05-grub2-mkconfig.patch
Patch54:        grub2-btrfs-06-subvol-mount.patch
Patch55:        grub2-btrfs-07-subvol-fallback.patch
Patch56:        grub2-btrfs-08-workaround-snapshot-menu-default-entry.patch
Patch57:        grub2-btrfs-09-get-default-subvolume.patch
Patch58:        grub2-btrfs-10-config-directory.patch
Patch59:        grub2-efi-xen-chainload.patch
Patch60:        grub2-efi-xen-cmdline.patch
Patch61:        grub2-efi-xen-cfg-unquote.patch
Patch62:        grub2-efi-xen-removable.patch
Patch63:        grub2-Add-hidden-menu-entries.patch
Patch64:        grub2-SUSE-Add-the-t-hotkey.patch
Patch65:        grub2-zipl-setup-fix-btrfs-multipledev.patch
Patch66:        grub2-suse-remove-linux-root-param.patch
Patch67:        grub2-ppc64le-disable-video.patch
Patch68:        grub2-ppc64le-memory-map.patch
Patch69:        grub2-ppc64-cas-reboot-support.patch
Patch70:        grub2-install-remove-useless-check-PReP-partition-is-empty.patch
Patch71:        grub2-ppc64-cas-new-scope.patch
Patch72:        grub2-ppc64-cas-fix-double-free.patch
Patch73:        grub2-efi_gop-avoid-low-resolution.patch
Patch74:        0003-bootp-New-net_bootp6-command.patch
Patch75:        0004-efinet-UEFI-IPv6-PXE-support.patch
Patch76:        0005-grub.texi-Add-net_bootp6-doument.patch
Patch77:        0006-bootp-Add-processing-DHCPACK-packet-from-HTTP-Boot.patch
Patch78:        0007-efinet-Setting-network-from-UEFI-device-path.patch
Patch79:        0008-efinet-Setting-DNS-server-from-UEFI-protocol.patch
Patch80:        0012-tpm-Build-tpm-as-module.patch
Patch81:        0001-add-support-for-UEFI-network-protocols.patch
Patch83:        grub2-mkconfig-default-entry-correction.patch
Patch84:        grub2-s390x-11-secureboot.patch
Patch85:        grub2-s390x-12-zipl-setup-usrmerge.patch
Patch86:        grub2-secureboot-install-signed-grub.patch
Patch87:        grub2-btrfs-help-on-snapper-rollback.patch
Patch88:        grub2-video-limit-the-resolution-for-fixed-bimap-font.patch
Patch89:        grub2-gfxmenu-support-scrolling-menu-entry-s-text.patch
Patch90:        0001-kern-mm.c-Make-grub_calloc-inline.patch
Patch91:        0002-cmdline-Provide-cmdline-functions-as-module.patch
Patch92:        0001-ieee1275-powerpc-implements-fibre-channel-discovery-.patch
Patch93:        0002-ieee1275-powerpc-enables-device-mapper-discovery.patch
Patch94:        0001-Unify-the-check-to-enable-btrfs-relative-path.patch
Patch95:        0001-efi-linux-provide-linux-command.patch
Patch96:        0001-Add-support-for-Linux-EFI-stub-loading-on-aarch64.patch
Patch97:        0002-arm64-make-sure-fdt-has-address-cells-and-size-cells.patch
Patch98:        0003-Make-grub_error-more-verbose.patch
Patch99:        0004-arm-arm64-loader-Better-memory-allocation-and-error-.patch
Patch100:       0006-efi-Set-image-base-address-before-jumping-to-the-PE-.patch
Patch101:       0044-squash-kern-Add-lockdown-support.patch
Patch102:       0001-ieee1275-Avoiding-many-unecessary-open-close.patch
Patch103:       0001-Workaround-volatile-efi-boot-variable.patch
Patch104:       0001-templates-Follow-the-path-of-usr-merged-kernel-confi.patch
Patch105:       0001-ieee1275-implement-FCP-methods-for-WWPN-and-LUNs.patch
Patch106:       0001-arm64-Fix-EFI-loader-kernel-image-allocation.patch
Patch107:       0002-Arm-check-for-the-PE-magic-for-the-compiled-arch.patch
Patch108:       0001-Factor-out-grub_efi_linux_boot.patch
Patch109:       0002-Fix-race-in-EFI-validation.patch
Patch110:       0003-Handle-multi-arch-64-on-32-boot-in-linuxefi-loader.patch
Patch111:       0004-Try-to-pick-better-locations-for-kernel-and-initrd.patch
Patch112:       0005-x86-efi-Use-bounce-buffers-for-reading-to-addresses-.patch
Patch113:       0006-x86-efi-Re-arrange-grub_cmd_linux-a-little-bit.patch
Patch114:       0007-x86-efi-Make-our-own-allocator-for-kernel-stuff.patch
Patch115:       0008-x86-efi-Allow-initrd-params-cmdline-allocations-abov.patch
Patch116:       0009-x86-efi-Reduce-maximum-bounce-buffer-size-to-16-MiB.patch
Patch117:       0010-efilinux-Fix-integer-overflows-in-grub_cmd_initrd.patch
Patch118:       0011-Also-define-GRUB_EFI_MAX_ALLOCATION_ADDRESS-for-RISC.patch
Patch119:       0004-Add-suport-for-signing-grub-with-an-appended-signatu.patch
Patch120:       0005-docs-grub-Document-signing-grub-under-UEFI.patch
Patch121:       0006-docs-grub-Document-signing-grub-with-an-appended-sig.patch
Patch122:       0007-dl-provide-a-fake-grub_dl_set_persistent-for-the-emu.patch
Patch123:       0008-pgp-factor-out-rsa_pad.patch
Patch124:       0009-crypto-move-storage-for-grub_crypto_pk_-to-crypto.c.patch
Patch125:       0010-posix_wrap-tweaks-in-preparation-for-libtasn1.patch
Patch126:       0011-libtasn1-import-libtasn1-4.18.0.patch
Patch127:       0012-libtasn1-disable-code-not-needed-in-grub.patch
Patch128:       0013-libtasn1-changes-for-grub-compatibility.patch
Patch129:       0014-libtasn1-compile-into-asn1-module.patch
Patch130:       0015-test_asn1-test-module-for-libtasn1.patch
Patch131:       0016-grub-install-support-embedding-x509-certificates.patch
Patch132:       0017-appended-signatures-import-GNUTLS-s-ASN.1-descriptio.patch
Patch133:       0018-appended-signatures-parse-PKCS-7-signedData-and-X.50.patch
Patch134:       0019-appended-signatures-support-verifying-appended-signa.patch
Patch135:       0020-appended-signatures-verification-tests.patch
Patch136:       0021-appended-signatures-documentation.patch
Patch137:       0022-ieee1275-enter-lockdown-based-on-ibm-secure-boot.patch
Patch138:       0023-x509-allow-Digitial-Signature-plus-other-Key-Usages.patch
Patch139:       0001-grub-install-Add-SUSE-signed-image-support-for-power.patch
Patch140:       0001-Add-grub_envblk_buf-helper-function.patch
Patch141:       0002-Add-grub_disk_write_tail-helper-function.patch
Patch142:       0003-grub-install-support-prep-environment-block.patch
Patch143:       0004-Introduce-prep_load_env-command.patch
Patch144:       0005-export-environment-at-start-up.patch
Patch145:       0001-grub-install-bailout-root-device-probing.patch
Patch146:       0001-install-fix-software-raid1-on-esp.patch
Patch147:       0001-grub-probe-Deduplicate-probed-partmap-output.patch
Patch148:       0001-Fix-infinite-boot-loop-on-headless-system-in-qemu.patch
Patch149:       0001-ofdisk-improve-boot-time-by-lookup-boot-disk-first.patch
Patch150:       0001-protectors-Add-key-protectors-framework.patch
Patch151:       0002-tpm2-Add-TPM-Software-Stack-TSS.patch
Patch152:       0003-protectors-Add-TPM2-Key-Protector.patch
Patch153:       0004-cryptodisk-Support-key-protectors.patch
Patch154:       0005-util-grub-protect-Add-new-tool.patch
Patch155:       0008-linuxefi-Use-common-grub_initrd_load.patch
Patch156:       0009-Add-crypttab_entry-to-obviate-the-need-to-input-pass.patch
Patch157:       0010-templates-import-etc-crypttab-to-grub.cfg.patch
Patch158:       grub-read-pcr.patch
Patch159:       tpm-record-pcrs.patch
Patch160:       grub-install-record-pcrs.patch
Patch161:       safe_tpm_pcr_snapshot.patch
Patch162:       0001-ieee1275-add-support-for-NVMeoFC.patch
Patch163:       0002-ieee1275-ofpath-enable-NVMeoF-logical-device-transla.patch
Patch164:       0003-ieee1275-change-the-logic-of-ieee1275_get_devargs.patch
Patch165:       0004-ofpath-controller-name-update.patch
Patch166:       0002-Mark-environmet-blocks-as-used-for-image-embedding.patch
Patch167:       grub2-increase-crypttab-path-buffer.patch
Patch168:       0001-grub2-Set-multiple-device-path-for-a-nvmf-boot-devic.patch
Patch169:       0001-grub2-Can-t-setup-a-default-boot-device-correctly-on.patch
Patch170:       0001-tpm2-Add-TPM2-types-structures-and-command-constants.patch
Patch171:       0002-tpm2-Add-more-marshal-unmarshal-functions.patch
Patch172:       0003-tpm2-Implement-more-TPM2-commands.patch
Patch173:       0004-tpm2-Support-authorized-policy.patch
Patch174:       0001-clean-up-crypttab-and-linux-modules-dependency.patch
Patch175:       0002-discard-cached-key-before-entering-grub-shell-and-ed.patch
Patch176:       0001-ieee1275-ofdisk-retry-on-open-and-read-failure.patch
Patch177:       0002-Restrict-cryptsetup-key-file-permission-for-better-s.patch
Patch178:       0001-openfw-Ensure-get_devargs-and-get_devname-functions-.patch
Patch179:       0002-prep_loadenv-Fix-regex-for-Open-Firmware-device-spec.patch
Patch180:       0001-xen_boot-add-missing-grub_arch_efi_linux_load_image_.patch
Patch181:       0001-font-Try-memdisk-fonts-with-the-same-name.patch
Patch182:       0001-Make-grub.cfg-compatible-to-old-binaries.patch
Patch183:       grub2-change-bash-completion-dir.patch
Patch184:       0001-protectors-Implement-NV-index.patch
Patch185:       0002-cryptodisk-Fallback-to-passphrase.patch
Patch186:       0003-cryptodisk-wipe-out-the-cached-keys-from-protectors.patch
Patch187:       0004-diskfilter-look-up-cryptodisk-devices-first.patch
Patch188:       grub2-mkconfig-riscv64.patch
Patch189:       arm64-Use-proper-memory-type-for-kernel-allocation.patch
Patch190:       0001-luks2-Use-grub-tpm2-token-for-TPM2-protected-volume-.patch
Patch191:       Fix-the-size-calculation-for-the-synthesized-initrd.patch
Patch192:       0001-Improve-TPM-key-protection-on-boot-interruptions.patch
Patch193:       0002-Restrict-file-access-on-cryptodisk-print.patch
Patch194:       0003-Restrict-ls-and-auto-file-completion-on-cryptodisk-p.patch
Patch195:       0004-Key-revocation-on-out-of-bound-file-access.patch
Patch197:       0001-fs-xfs-always-verify-the-total-number-of-entries-is-.patch
Patch198:		0001-loader-arm64-efi-linux-Remove-magic-number-header-fi.patch

#PCLinuxOS patches
Patch1001:	grub2-2.04-fix_duplicates_on_new_kernel_install.patch
Patch1002:	grub2-2.12-Don-t-write-messages-to-the-screen.patch
Patch1003:	grub2-2.04-detect-early-microcode-updates.patch
Patch1004:	grub2-2.12-add_failsafe-10_linux.in.patch
Patch1005:	grub2-2.06-Rework-linux-linux16-command.patch
Patch1006:	grub2-2.12-dejavu-path.patch
Patch1007:	grub-2.12-fixbuild.patch

#RedHat patches
Patch10001:	grub2-add-flag-to-only-search-root-dev.patch



BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	ruby
BuildRequires:	binutils
BuildRequires:  librpm-devel
BuildRequires:	glibc-static-devel
BuildRequires:	ncurses-devel
BuildRequires:	liblzo-devel
BuildRequires:	freetype2-devel
BuildRequires:	libusb1-devel
BuildRequires:	help2man
BuildRequires:	texinfo
BuildRequires:	libdevmapper-devel
BuildRequires:	fuse3-devel
BuildRequires:	autogen

Requires:	os-prober
Provides:	bootloader
Provides:	grub2bootloader
Requires:	grub2-theme-pclinuxos
# Minimum version that includes /etc/os-release
Requires(pre):       pclinuxos-release >= 2017-2pclos2017

%description
This is the second version of the GRUB (Grand Unified Boot-loader), a highly
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices. It may be safely installed alongside
legacy grub.

%package efi
Summary:	Boot-loader with support for EFI
Group:		System/Kernel and hardware
Requires:	%{name}
Requires:	efibootmgr
Requires: 	efivar

%description efi
This is the second version of the GRUB (Grand Unified Boot-loader), a highly
configurable and customizable boot-loader with modular architecture.
It supports a wide range of kernel formats, file systems, computer
architectures and hardware devices. It may be safely installed alongside
legacy grub.  This subpackage provides support for EFI systems.

%prep
%setup -q -n grub-%{tarversion}
%autopatch -p1
mv docs/grub.texi docs/grub2.texi
cp %{SOURCE4} unifont.pcf.gz
rm -fv docs/*.info
# We create (for efi build) two copies of the sources in the Builddir
cd ..
rm -rf grub-efi-%{tarversion}
mv grub-%{tarversion} grub-efi-%{tarversion}
%setup -q -n grub-%{tarversion}
%autopatch -p1
mv docs/grub.texi docs/grub2.texi
cp %{SOURCE4} unifont.pcf.gz

%build
CFLAGS="-fno-strict-aliasing -fno-inline-functions-called-once "
CXXFLAGS=" "
FFLAGS=" "
export CFLAGS CXXFLAGS FFLAGS
cd ..
pushd grub-%{tarversion}
./autogen.sh
%configure2_5x TARGET_LDFLAGS=-static			\
%ifarch %arm
	  --with-platform=uboot				\
%else
	 --with-platform=pc				\
%endif
	  --disable-werror				\
	  --enable-grub-mkfont				\
	  --program-transform-name=s,grub,%{name},	\
	  --with-bootdir=/boot				\
	  --with-grubdir=/%{name}			
make %{?_smp_mflags}
popd

pushd grub-efi-%{tarversion}
./autogen.sh
%configure2_5x TARGET_LDFLAGS=-static			\
	  --with-platform=efi				\
%ifarch x86_64
	  --target=x86_64				\
%endif
	  --disable-werror				\
	  --enable-grub-mkfont				\
	  --program-transform-name=s,grub,%{name},	\
	  --with-bootdir=/boot				\
	  --with-grubdir=/%{name}			
make %{?_smp_mflags}
popd

%install
rm -rf %{buildroot}
cd ..
pushd grub-efi-%{tarversion}
%make_install
popd

pushd grub-%{tarversion}
%make_install

# Font
install -d %{buildroot}/boot/%{name}/fonts
install -D unicode.pf2 ${RPM_BUILD_ROOT}/boot/%{name}/fonts/unicode.pf2
install -d %{buildroot}/boot/%{name}/themes

# Ghost config files
install -d %{buildroot}/boot/%{name}
touch %{buildroot}/boot/%{name}/grub.cfg

# Workaround for RHL Bug 817187
install -d %{buildroot}%{_datadir}/locale/en/LC_MESSAGES
ln -s %{_datadir}/locale/en@quot/LC_MESSAGES/grub.mo %{buildroot}%{_datadir}/locale/en/LC_MESSAGES/grub.mo

cat > %{buildroot}/boot/%{name}/custom.cfg <<EOF
# Set non-graphical text/background colours
set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue

# Add any extra custom menu entries in here:

EOF

# Provide 'update-grub' and update-grub2 symlink for *buntu exiles ;) 
cat > %{buildroot}%{_bindir}/update-grub <<EOF
#!/bin/sh
su --login root -c "/usr/sbin/grub2-mkconfig -o /boot/grub2/grub.cfg"

EOF
chmod +x %{buildroot}%{_bindir}/update-grub
ln -s %{_bindir}/update-grub %{buildroot}%{_bindir}/update-grub2

# Filetriggers
install -d %{buildroot}/%{_filetriggers_dir}
install -D %{SOURCE5} %{buildroot}/%{_filetriggers_dir}/%{name}.filter
install -D %{SOURCE6} %{buildroot}/%{_filetriggers_dir}/%{name}.script

# Defaults
install -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/default/grub
install -m 755 -D %{SOURCE7} %{buildroot}/%{_sbindir}/grub2-check-default
# Remove "GNU/Linux" in menu selections
sed -i 's/ GNU\/Linux//' %{buildroot}%{_sysconfdir}/grub.d/10_linux

#remove startfield theme
rm -rf %{buildroot}/%{_datadir}/grub/themes/starfield


%find_lang grub

popd

%post
if [ $1 -eq 2 ]; then
      touch /boot/grub2/updtrans
fi

%post efi
if [ $1 -eq 2 ]; then
      touch /boot/grub2/updtrans-efi
fi

%posttrans 
# On update re-install grub2 to where it was installed by drakboot if possible,
# otherwise next boot may fail due to mismatched boot code.
   if [ -f /boot/grub2/updtrans ] && [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ] && [ "$DURING_INSTALL" != "1" ] ; then
		LOADER=$(/usr/sbin/detectloader)
		[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
		rm -f /boot/grub2/updtrans
   fi

%posttrans efi
# On update re-install grub2 to where it was installed by drakboot if possible,
# otherwise next boot may fail due to mismatched boot code.
   if [ -f /boot/grub2/updtrans-efi ] && [ -f /boot/grub2/install.sh -a -x /usr/sbin/detectloader ] && [ "$DURING_INSTALL" != "1" ] ; then
		LOADER=$(/usr/sbin/detectloader)
		[ "$LOADER" = "GRUB2" ] && /boot/grub2/install.sh ||:
		rm -f /boot/grub2/updtrans-efi
   fi   
   
%preun
exec > /var/log/%{name}_preun.log 2>&1
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{pc_arch}
rm -rf /boot/%{name}/locale
fi

%preun efi
exec > /var/log/%{name}_preun.log 2>&1
# Only if uninstalling
if [ $1 -eq 0 ]; then
rm -rf /boot/%{name}/%{efi_arch}
rm -rf /boot/%{name}/locale
fi

%triggerpostun efi -- %{name}-efi < 2.02
%{name}-mkconfig -o /boot/%{name}/grub.cfg

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_infodir}/*
%dir %{_libdir}/grub
%dir %{_libdir}/grub/i386-pc
%dir /boot/%{name}
%dir /boot/%{name}/themes
%dir /boot/%{name}/fonts
/boot/grub2/fonts/unicode.pf2
%{_libdir}/grub/i386-pc/*
%{_bindir}/%{name}-*
%{_bindir}/update-grub
%{_bindir}/update-grub2
%{_sbindir}/%{name}-*
%{_datadir}/bash-completion/completions/grub
%{_sysconfdir}/grub.d/README
%{_sysconfdir}/grub.d/00_header
%{_sysconfdir}/grub.d/05_crypttab
%{_sysconfdir}/grub.d/10_linux
%{_sysconfdir}/grub.d/20_linux_xen
%{_sysconfdir}/grub.d/20_ppc_terminfo
%{_sysconfdir}/grub.d/25_bli
%{_sysconfdir}/grub.d/30_os-prober
%{_sysconfdir}/grub.d/30_uefi-firmware
%config(noreplace) %{_sysconfdir}/grub.d/40_custom
%config(noreplace) %{_sysconfdir}/grub.d/41_custom
%{_sysconfdir}/grub.d/95_textmode
%{_datadir}/grub
%config(noreplace) /boot/%{name}/grub.cfg
%config(noreplace) /boot/%{name}/custom.cfg
%{_mandir}/man1/%{name}-*.1*
%{_mandir}/man8/%{name}-*.8*
%{_filetriggers_dir}/%{name}.filter
%{_filetriggers_dir}/%{name}.script

#dont replace this on update
%config(noreplace) %{_sysconfdir}/default/grub

#goes in theme package
%{_datadir}/locale

%files efi
%defattr(-,root,root,-)
%dir %{_libdir}/grub
%dir %{_libdir}/grub/%{efi_arch}
%{_libdir}/grub/%{efi_arch}/*

%changelog
* Mon Feb 05 2024 yodelu - 2.12-3plos2024
- add p198 and p10001
- rediff p64 in order to please p1002

* Sat Jan 27 2024 yodelu - 2.12-2plos2024
- add p197
- build against fuse3

* Thu Dec 21 2023 yodelu - 2.12-1plos2023
- update to 2.12

* Sun Dec 10 2023 yodelu - 2.12~rc1-1plos2023
- update to 2.12~rc1
- refresh patches 

* Fri Nov 04 2022 yodelu - 2.06.0-8plos2022
- remove p804 as grub2 hangs, at least on vbox/livecd/efi/2GB RAM 

* Sun Oct 30 2022 yodelu - 2.06.0-7plos2022
- added patches (from 791 to 884)
- update unifont to 15.0.01

* Wed Nov 17 2021 yodelu - 2.06.0-6plos2021
- add P1005
    
* Tue Sep 28 2021 yodelu - 2.06.0-5plos2021
- took unifont from ftp.gnu.org
    > update to 14.0.01

* Fri Sep 24 2021 yodelu - 2.06.0-3plos2021
- fsfreeze not in /usr/sbin/ (rediff p96)
- update to unifont-14.0.01 (drop S9 add S4)
- add S7

* Sat Aug 23 2021 yodelu - 2.06.0-2plos2021
- add rediffed p1002 - don't write messages on screen

* Fri Aug 22 2021 yodelu - 2.06.0-1plos2021
- update

* Thu Oct 22 2020 yodelu - 2.04.0-6plos2020
- add patch1004 - fix recovery boot

* Thu Oct 22 2020 yodelu - 2.04.0-5plos2020
- add patch1003

* Thu Oct 22 2020 yodelu - 2.04.0-4plos2020
- drop patches 140 and 141

* Wed Oct 21 2020 yodelu - 2.04.0-3plos2020
- add patch 1002 and patch46 - remove annoying messages while grub is loading itself and/or related to grub.cfg

* Tue Oct 20 2020 yodelu - 2.04.0-2plos2020
- drop patch 43 (pclinux don't use rpmsort)
- add patch 62
- add patch1001 (fix duplicates in grub.cfg at new kernel install)

* Mon Oct 19 2020 yodelu - 2.04.0-1plos2020
- update to 2.04
- sync patches to opensuse

* Wed Jan 29 2020 tex - 2.02.0-6pclos2020
- add Patch20007

* Wed Jan 29 2020 yodelu - 2.02.0-5pclos2020
- rebuild against rpm-4.8.1-11pclos2020

* Fri May 03 2019 TerryN <terryn94 at gmail.com> - 2.02.0-4pclos2019
- add 2 patches for XFS support
- add patch for build with gcc8

* Sat Nov 04 2017 Conan Kudo <Conan Kudo> - 2.02.0-3pclos2017
- Drop os-release file, as it's now part of pclinuxos-release

* Thu Nov 02 2017 bb2 <bb2> - 2.02.0-2pclos2017
- apply detect-early-microcode-updates.patch

* Wed Nov 01 2017 bb2 <bb2> - 2.02.0-1pclos2017
- apply grub2 exclude duplicate kernel entries patch

* Mon Oct 30 2017 bb2 <bb2> - 2.02-12pclos2017
- update to 2.02 final

* Sun Jul 09 2017 TerryN <terryn94 at gmail.com> 2.02-11pclos2017
- fix update-grub2 making linuxefi/initrdefi entries

* Thu Jul 06 2017 bb2 <bb2> - 2.02-10pclos2017
- add posttrans scripts

* Thu Jul 06 2017 bb2 <bb2> - 2.02-9pclos2017
- try adjusted build

* Tue Jul 04 2017 bb2 <bb2> - 2.02-8pclos2017
- add os-release file

* Tue Jul 04 2017 bb2 <bb2> 2.02-7pclos2017
- update source code with patches
- drop 42_efi

* Sun May 10 2015 bb <bb> 2.02-6pclos2015
- add windows efi support

* Mon Apr 27 2015 TerryN <terryn94 at gmail.com> 2.02-3pclos2015
- grub2/grub2-efi no longer conflict

* Fri Apr 10 2015 bb <bb> 2.02-2pclos2015
- update postscripts
- add theme dependency

* Thu Apr 02 2015 bb <bb> 2.02-1pclos2015
- update from git with patches applied

* Sat Jun 21 2014 bb <bb> 2.00-3pclos2014
- change /etc/default/grub so plymouth works on pclos

* Fri Jun 20 2014 bb <bb> 2.00-2pclos2014
- fix post script for pclos

* Fri May 23 2014 bb <bb> 2.00-1pclos2014
- import into pclos
